.thumbnail2 {
    position: relative;
    width: 250px;
    height: 250px;
    overflow: hidden;
  }
  .thumbnail2 img {
    position: absolute;
    left: 50%;
    top: 50%;
    height: 100%;
    width: auto;
    -webkit-transform: translate(-50%,-50%);
        -ms-transform: translate(-50%,-50%);
            transform: translate(-50%,-50%);
  }
  .thumbnail2 img.portrait {
    width: 100%;
    height: auto;
  }